 
 ******************************************************************************
 * getfreemisc.asm - interface routines for misc.resource
 *
 * Phillip Lindsay (c) 1987 Commodore-Amiga, Inc.
 *      Unlimited use granted as long as copyright notice remains intact.
 *
 ******************************************************************************
 
        INCLUDE 'exec/types.i'
        INCLUDE 'exec/libraries.i'
        INCLUDE 'resources/misc.i'
 
 DEF    _GetMiscResource
 DEF    _FreeMiscResource
 
 _GetMiscResource:
        movem.l a4/a6,-(sp)
        move.l  20(sp),a1       ; name
        move.l  16(sp),d0       ; unit
        move.l  12(sp),a6       ; misc resource pointer
        jsr     MR_ALLOCMISCRESOURCE(a6)
        movem.l (sp)+,a4/a6
        rts
 
 _FreeMiscResource:
        movem.l a4/a6,-(sp)
        move.l  12(sp),a6       ; misc resource pointer
        move.l  16(sp),d0       ; unit
        jsr     MR_FREEMISCRESOURCE(a6)
        movem.l (sp)+,a4/a6
        rts
 
        end
 *****************************************************************************
 *
 * end of getfreemisc.asm
 *
 *****************************************************************************
